html {
  font-size: 16px;
}

img {
  user-select: none;
  -webkit-user-drag: none;
}

body {
  margin: 0;
  background: url(images/webpng.png) #fff7cc;
  font-family: "Noto Sans TC", sans-serif;
  font-weight: 600;
}

.banner {
  background-color: #ffb500;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  height: 900px;
  position: relative;
}

.d2 {
  width: 8rem;
  /* top: -22%;
  right: 30%; */

  bottom: 0;
  right: 30%;
  transform: translateY(80%);
}

.d3 {
  width: 7rem;
  /* top: -25%;
  right: 3%; */

  bottom: 0;
  right: 3%;
  transform: translateY(30%);
}

.baL {
  width: 35%;
  margin-top: -8%;
  margin-left: -2%;
}

.baR {
  width: 30%;
  margin-right: 2%;
  margin-top: 5%;
}

.baL img,
.baR img {
  width: 100%;
}

.bamain {
  position: relative;
  width: 40%;
  margin: 5% auto 2% auto;
}

.batop,
.babottom {
  position: relative;
}

.bmR,
.bmL {
  position: absolute;
}

.bmp {
  width: 100%;
  position: relative;
  z-index: 4;
}

.bmt {
  width: 90%;
  z-index: 1;
  margin-top: -5%;
}

.bmR {
  width: 30%;
  top: -30%;
  right: 5%;
  z-index: 2;
}

.bmL {
  width: 18%;
  bottom: 50%;
  left: -5%;
  z-index: 3;
}

.triangle {
  width: 0;
  height: 0;
  border-left: 50px solid transparent;
  border-right: 50px solid transparent;
  border-bottom: 50px solid #ffb500;
  transform: rotate(180deg);
  margin: 0 auto;
}

.titleline {
  height: 2px;
  width: 25%;
  background-color: black;
  margin-top: 2%;
}

.titleline2 {
  height: 2px;
  width: 100%;
  background-color: black;
  margin: 0% auto;
  margin-top: 5%;
}

.bword {
  margin-top: 5%;
  font-size: 1.3rem;
  width: 100%;
  text-align: center;
  line-height: 2rem;
}

.bwordt {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  font-size: 1.6rem;
}

.pointWd {
  color: #6376fa;
  font-size: 2rem;
}

.bwdt {
  width: 50%;
  text-align: center;
}

.mflex {
  display: flex;
  flex-direction: row;
  width: 80%;
  margin: 5% auto;
  justify-content: space-around;

  flex-wrap: wrap;
  gap: 50px 0;
}

.Tblock {
  width: 26%;
  background-color: #fff;
  border: 4px solid #ff3b00;
  border-radius: 20px;
  text-align: center;
  font-weight: 400;
  cursor: pointer;
  overflow: hidden;
  position: relative;
}

.Tblock.hide {
  visibility: hidden;
}

.teaPic {
  width: 100%;
}

.teaT {
  padding: 5% 0;
  color: #ff3b00;
  font-size: 2rem;
  font-weight: 900;
}

.school {
  font-size: 1.8rem;
}

.teacher {
  font-size: 1.4rem;
  padding-bottom: 8%;
}

.teacher span {
  font-size: 1.8rem;
  padding: 0 3%;
}

.addactivity {
  width: 20%;
  margin: 2% auto 7% auto;
  background-color: #ffb500;
  border: #ff3b00 4px solid;
  color: #fff;
  font-size: 2rem;
  text-align: center;
  padding: 10px 0;
  border-radius: 60px;
  position: relative;
  cursor: pointer;
}

.addactivity::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 60px;
  z-index: -1;
  transform: translate(10px, 10px);
  background-color: #ff3b00;
}

.content {
  width: 100%;
  position: relative;
  background: url(images/home/mbg.png);
  background-size: 90%;
  background-repeat: no-repeat;
  background-position: center;
}

.decorate {
  position: absolute;
}

.d1 {
  width: 8rem;
  top: 20%;
  left: 3%;
}

.divRelative_deco {
  overflow: visible !important;
}

.divRelative_deco .clips {
  overflow: hidden;
}

.d4 {
  /* bottom: 10%;
  right: 7%; */

  width: 8rem;
  bottom: 0;
  right: 0;
  transform: translate(70%, 40%);
  cursor: auto;
}

@media only screen and (max-width: 1665px) {
  .banner {
    height: 770px;
  }

  .bwdt {
    width: 90%;
  }

  html {
    font: 14px;
  }
}

@media only screen and (max-width: 1300px) {
  .banner {
    height: 700px;
  }

  .bamain {
    width: 45%;
  }

  .baL {
    margin-top: -15%;
    margin-left: -10%;
  }

  .d1 {
    width: 6rem;
  }

  .d2 {
    width: 6rem;
  }

  .d3 {
    width: 4rem;
  }

  .d4 {
    width: 8rem;
  }
}

@media only screen and (max-width: 1124px) {
  .banner {
    height: 800px;
  }

  .baL,
  .baR {
    display: none;
  }

  .decorate {
    display: none;
  }

  .bamain {
    width: 60%;
  }

  .addactivity {
    width: 38%;
    font-size: 2rem;
  }

  .mflex {
    flex-wrap: wrap;
    justify-content: space-between;
    width: 70%;
  }

  .Tblock {
    width: 45%;
    margin-top: 10%;
  }

  .teaT {
    font-size: 1.8rem;
  }

  .school {
    font-size: 1.6rem;
  }

  .teacher {
    font-size: 1.2rem;
    padding-bottom: 10%;
  }

  .teacher span {
    font-size: 1.6rem;
    padding: 0 3%;
  }
}

@media only screen and (max-width: 720px) {
  .banner {
    height: 580px;
  }

  .bamain {
    width: 82%;
  }

  .bwordt {
    font-size: 1.4rem;
    padding-bottom: 5%;
  }

  .pointWd {
    width: 60%;
    font-size: 1.6rem;
  }

  .bword {
    margin-top: 10%;
    font-size: 1rem;
  }

  .mflex {
    justify-content: center;
    width: 90%;
  }

  .Tblock {
    width: 70%;
  }

  .addactivity {
    width: 50%;
    margin: 15% auto 20% auto;
    font-size: 1.2rem;
  }

  .titleline {
    width: 15%;
    display: none;
  }

  .titleline2 {
    display: none;
  }

  .triangle {
    border-left: 30px solid transparent;
    border-right: 30px solid transparent;
    border-bottom: 30px solid #ffb500;
  }

  .teaT {
    font-size: 1.6rem;
  }

  .school {
    font-size: 1.4rem;
  }

  .teacher {
    font-size: 1rem;
    padding-bottom: 10%;
  }

  .teacher span {
    font-size: 1.4rem;
    padding: 0 3%;
  }
}
